Makefile 39 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # tests/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__is_gnu_make = { \
  12. if test -z '$(MAKELEVEL)'; then \
  13. false; \
  14. elif test -n '$(MAKE_HOST)'; then \
  15. true; \
  16. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  17. true; \
  18. else \
  19. false; \
  20. fi; \
  21. }
  22. am__make_running_with_option = \
  23. case $${target_option-} in \
  24. ?) ;; \
  25. *) echo "am__make_running_with_option: internal error: invalid" \
  26. "target option '$${target_option-}' specified" >&2; \
  27. exit 1;; \
  28. esac; \
  29. has_opt=no; \
  30. sane_makeflags=$$MAKEFLAGS; \
  31. if $(am__is_gnu_make); then \
  32. sane_makeflags=$$MFLAGS; \
  33. else \
  34. case $$MAKEFLAGS in \
  35. *\\[\ \ ]*) \
  36. bs=\\; \
  37. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  38. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  39. esac; \
  40. fi; \
  41. skip_next=no; \
  42. strip_trailopt () \
  43. { \
  44. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  45. }; \
  46. for flg in $$sane_makeflags; do \
  47. test $$skip_next = yes && { skip_next=no; continue; }; \
  48. case $$flg in \
  49. *=*|--*) continue;; \
  50. -*I) strip_trailopt 'I'; skip_next=yes;; \
  51. -*I?*) strip_trailopt 'I';; \
  52. -*O) strip_trailopt 'O'; skip_next=yes;; \
  53. -*O?*) strip_trailopt 'O';; \
  54. -*l) strip_trailopt 'l'; skip_next=yes;; \
  55. -*l?*) strip_trailopt 'l';; \
  56. -[dEDm]) skip_next=yes;; \
  57. -[JT]) skip_next=yes;; \
  58. esac; \
  59. case $$flg in \
  60. *$$target_option*) has_opt=yes; break;; \
  61. esac; \
  62. done; \
  63. test $$has_opt = yes
  64. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  65. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  66. pkgdatadir = $(datadir)/libmodbus
  67. pkgincludedir = $(includedir)/libmodbus
  68. pkglibdir = $(libdir)/libmodbus
  69. pkglibexecdir = $(libexecdir)/libmodbus
  70. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  71. install_sh_DATA = $(install_sh) -c -m 644
  72. install_sh_PROGRAM = $(install_sh) -c
  73. install_sh_SCRIPT = $(install_sh) -c
  74. INSTALL_HEADER = $(INSTALL_DATA)
  75. transform = $(program_transform_name)
  76. NORMAL_INSTALL = :
  77. PRE_INSTALL = :
  78. POST_INSTALL = :
  79. NORMAL_UNINSTALL = :
  80. PRE_UNINSTALL = :
  81. POST_UNINSTALL = :
  82. build_triplet = x86_64-pc-linux-gnu
  83. host_triplet = arm-unknown-linux-gnueabihf
  84. noinst_PROGRAMS = bandwidth-server-one$(EXEEXT) \
  85. bandwidth-server-many-up$(EXEEXT) bandwidth-client$(EXEEXT) \
  86. random-test-server$(EXEEXT) random-test-client$(EXEEXT) \
  87. unit-test-server$(EXEEXT) unit-test-client$(EXEEXT) \
  88. version$(EXEEXT)
  89. subdir = tests
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  92. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  93. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  94. $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  95. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  96. $(ACLOCAL_M4)
  97. DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  98. mkinstalldirs = $(install_sh) -d
  99. CONFIG_HEADER = $(top_builddir)/config.h unit-test.h
  100. CONFIG_CLEAN_FILES =
  101. CONFIG_CLEAN_VPATH_FILES =
  102. PROGRAMS = $(noinst_PROGRAMS)
  103. am_bandwidth_client_OBJECTS = bandwidth-client.$(OBJEXT)
  104. bandwidth_client_OBJECTS = $(am_bandwidth_client_OBJECTS)
  105. bandwidth_client_DEPENDENCIES = $(common_ldflags)
  106. AM_V_lt = $(am__v_lt_$(V))
  107. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  108. am__v_lt_0 = --silent
  109. am__v_lt_1 =
  110. am_bandwidth_server_many_up_OBJECTS = \
  111. bandwidth-server-many-up.$(OBJEXT)
  112. bandwidth_server_many_up_OBJECTS = \
  113. $(am_bandwidth_server_many_up_OBJECTS)
  114. bandwidth_server_many_up_DEPENDENCIES = $(common_ldflags)
  115. am_bandwidth_server_one_OBJECTS = bandwidth-server-one.$(OBJEXT)
  116. bandwidth_server_one_OBJECTS = $(am_bandwidth_server_one_OBJECTS)
  117. bandwidth_server_one_DEPENDENCIES = $(common_ldflags)
  118. am_random_test_client_OBJECTS = random-test-client.$(OBJEXT)
  119. random_test_client_OBJECTS = $(am_random_test_client_OBJECTS)
  120. random_test_client_DEPENDENCIES = $(common_ldflags)
  121. am_random_test_server_OBJECTS = random-test-server.$(OBJEXT)
  122. random_test_server_OBJECTS = $(am_random_test_server_OBJECTS)
  123. random_test_server_DEPENDENCIES = $(common_ldflags)
  124. am_unit_test_client_OBJECTS = unit-test-client.$(OBJEXT)
  125. unit_test_client_OBJECTS = $(am_unit_test_client_OBJECTS)
  126. unit_test_client_DEPENDENCIES = $(common_ldflags)
  127. am_unit_test_server_OBJECTS = unit-test-server.$(OBJEXT)
  128. unit_test_server_OBJECTS = $(am_unit_test_server_OBJECTS)
  129. unit_test_server_DEPENDENCIES = $(common_ldflags)
  130. am_version_OBJECTS = version.$(OBJEXT)
  131. version_OBJECTS = $(am_version_OBJECTS)
  132. version_DEPENDENCIES = $(common_ldflags)
  133. SCRIPTS = $(noinst_SCRIPTS)
  134. AM_V_P = $(am__v_P_$(V))
  135. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  136. am__v_P_0 = false
  137. am__v_P_1 = :
  138. AM_V_GEN = $(am__v_GEN_$(V))
  139. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  140. am__v_GEN_0 = @echo " GEN " $@;
  141. am__v_GEN_1 =
  142. AM_V_at = $(am__v_at_$(V))
  143. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  144. am__v_at_0 = @
  145. am__v_at_1 =
  146. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  147. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  148. am__maybe_remake_depfiles = depfiles
  149. am__depfiles_remade = ./$(DEPDIR)/bandwidth-client.Po \
  150. ./$(DEPDIR)/bandwidth-server-many-up.Po \
  151. ./$(DEPDIR)/bandwidth-server-one.Po \
  152. ./$(DEPDIR)/random-test-client.Po \
  153. ./$(DEPDIR)/random-test-server.Po \
  154. ./$(DEPDIR)/unit-test-client.Po \
  155. ./$(DEPDIR)/unit-test-server.Po ./$(DEPDIR)/version.Po
  156. am__mv = mv -f
  157. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  158. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  159. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  160. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  161. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  162. $(AM_CFLAGS) $(CFLAGS)
  163. AM_V_CC = $(am__v_CC_$(V))
  164. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  165. am__v_CC_0 = @echo " CC " $@;
  166. am__v_CC_1 =
  167. CCLD = $(CC)
  168. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  169. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  170. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  171. AM_V_CCLD = $(am__v_CCLD_$(V))
  172. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  173. am__v_CCLD_0 = @echo " CCLD " $@;
  174. am__v_CCLD_1 =
  175. SOURCES = $(bandwidth_client_SOURCES) \
  176. $(bandwidth_server_many_up_SOURCES) \
  177. $(bandwidth_server_one_SOURCES) $(random_test_client_SOURCES) \
  178. $(random_test_server_SOURCES) $(unit_test_client_SOURCES) \
  179. $(unit_test_server_SOURCES) $(version_SOURCES)
  180. DIST_SOURCES = $(bandwidth_client_SOURCES) \
  181. $(bandwidth_server_many_up_SOURCES) \
  182. $(bandwidth_server_one_SOURCES) $(random_test_client_SOURCES) \
  183. $(random_test_server_SOURCES) $(unit_test_client_SOURCES) \
  184. $(unit_test_server_SOURCES) $(version_SOURCES)
  185. am__can_run_installinfo = \
  186. case $$AM_UPDATE_INFO_DIR in \
  187. n|no|NO) false;; \
  188. *) (install-info --version) >/dev/null 2>&1;; \
  189. esac
  190. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  191. $(LISP)unit-test.h.in
  192. # Read a list of newline-separated strings from the standard input,
  193. # and print each of them once, without duplicates. Input order is
  194. # *not* preserved.
  195. am__uniquify_input = $(AWK) '\
  196. BEGIN { nonempty = 0; } \
  197. { items[$$0] = 1; nonempty = 1; } \
  198. END { if (nonempty) { for (i in items) print i; }; } \
  199. '
  200. # Make sure the list of sources is unique. This is necessary because,
  201. # e.g., the same source file might be shared among _SOURCES variables
  202. # for different programs/libraries.
  203. am__define_uniq_tagged_files = \
  204. list='$(am__tagged_files)'; \
  205. unique=`for i in $$list; do \
  206. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  207. done | $(am__uniquify_input)`
  208. ETAGS = etags
  209. CTAGS = ctags
  210. am__tty_colors_dummy = \
  211. mgn= red= grn= lgn= blu= brg= std=; \
  212. am__color_tests=no
  213. am__tty_colors = { \
  214. $(am__tty_colors_dummy); \
  215. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  216. am__color_tests=no; \
  217. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  218. am__color_tests=yes; \
  219. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  220. am__color_tests=yes; \
  221. fi; \
  222. if test $$am__color_tests = yes; then \
  223. red=''; \
  224. grn=''; \
  225. lgn=''; \
  226. blu=''; \
  227. mgn=''; \
  228. brg=''; \
  229. std=''; \
  230. fi; \
  231. }
  232. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  233. am__vpath_adj = case $$p in \
  234. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  235. *) f=$$p;; \
  236. esac;
  237. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  238. am__install_max = 40
  239. am__nobase_strip_setup = \
  240. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  241. am__nobase_strip = \
  242. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  243. am__nobase_list = $(am__nobase_strip_setup); \
  244. for p in $$list; do echo "$$p $$p"; done | \
  245. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  246. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  247. if (++n[$$2] == $(am__install_max)) \
  248. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  249. END { for (dir in files) print dir, files[dir] }'
  250. am__base_list = \
  251. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  252. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  253. am__uninstall_files_from_dir = { \
  254. test -z "$$files" \
  255. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  256. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  257. $(am__cd) "$$dir" && rm -f $$files; }; \
  258. }
  259. am__recheck_rx = ^[ ]*:recheck:[ ]*
  260. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  261. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  262. # A command that, given a newline-separated list of test names on the
  263. # standard input, print the name of the tests that are to be re-run
  264. # upon "make recheck".
  265. am__list_recheck_tests = $(AWK) '{ \
  266. recheck = 1; \
  267. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  268. { \
  269. if (rc < 0) \
  270. { \
  271. if ((getline line2 < ($$0 ".log")) < 0) \
  272. recheck = 0; \
  273. break; \
  274. } \
  275. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  276. { \
  277. recheck = 0; \
  278. break; \
  279. } \
  280. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  281. { \
  282. break; \
  283. } \
  284. }; \
  285. if (recheck) \
  286. print $$0; \
  287. close ($$0 ".trs"); \
  288. close ($$0 ".log"); \
  289. }'
  290. # A command that, given a newline-separated list of test names on the
  291. # standard input, create the global log from their .trs and .log files.
  292. am__create_global_log = $(AWK) ' \
  293. function fatal(msg) \
  294. { \
  295. print "fatal: making $@: " msg | "cat >&2"; \
  296. exit 1; \
  297. } \
  298. function rst_section(header) \
  299. { \
  300. print header; \
  301. len = length(header); \
  302. for (i = 1; i <= len; i = i + 1) \
  303. printf "="; \
  304. printf "\n\n"; \
  305. } \
  306. { \
  307. copy_in_global_log = 1; \
  308. global_test_result = "RUN"; \
  309. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  310. { \
  311. if (rc < 0) \
  312. fatal("failed to read from " $$0 ".trs"); \
  313. if (line ~ /$(am__global_test_result_rx)/) \
  314. { \
  315. sub("$(am__global_test_result_rx)", "", line); \
  316. sub("[ ]*$$", "", line); \
  317. global_test_result = line; \
  318. } \
  319. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  320. copy_in_global_log = 0; \
  321. }; \
  322. if (copy_in_global_log) \
  323. { \
  324. rst_section(global_test_result ": " $$0); \
  325. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  326. { \
  327. if (rc < 0) \
  328. fatal("failed to read from " $$0 ".log"); \
  329. print line; \
  330. }; \
  331. printf "\n"; \
  332. }; \
  333. close ($$0 ".trs"); \
  334. close ($$0 ".log"); \
  335. }'
  336. # Restructured Text title.
  337. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  338. # Solaris 10 'make', and several other traditional 'make' implementations,
  339. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  340. # by disabling -e (using the XSI extension "set +e") if it's set.
  341. am__sh_e_setup = case $$- in *e*) set +e;; esac
  342. # Default flags passed to test drivers.
  343. am__common_driver_flags = \
  344. --color-tests "$$am__color_tests" \
  345. --enable-hard-errors "$$am__enable_hard_errors" \
  346. --expect-failure "$$am__expect_failure"
  347. # To be inserted before the command running the test. Creates the
  348. # directory for the log if needed. Stores in $dir the directory
  349. # containing $f, in $tst the test, in $log the log. Executes the
  350. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  351. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  352. # will run the test scripts (or their associated LOG_COMPILER, if
  353. # thy have one).
  354. am__check_pre = \
  355. $(am__sh_e_setup); \
  356. $(am__vpath_adj_setup) $(am__vpath_adj) \
  357. $(am__tty_colors); \
  358. srcdir=$(srcdir); export srcdir; \
  359. case "$@" in \
  360. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  361. *) am__odir=.;; \
  362. esac; \
  363. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  364. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  365. if test -f "./$$f"; then dir=./; \
  366. elif test -f "$$f"; then dir=; \
  367. else dir="$(srcdir)/"; fi; \
  368. tst=$$dir$$f; log='$@'; \
  369. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  370. am__enable_hard_errors=no; \
  371. else \
  372. am__enable_hard_errors=yes; \
  373. fi; \
  374. case " $(XFAIL_TESTS) " in \
  375. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  376. am__expect_failure=yes;; \
  377. *) \
  378. am__expect_failure=no;; \
  379. esac; \
  380. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  381. # A shell command to get the names of the tests scripts with any registered
  382. # extension removed (i.e., equivalently, the names of the test logs, with
  383. # the '.log' extension removed). The result is saved in the shell variable
  384. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  385. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  386. # since that might cause problem with VPATH rewrites for suffix-less tests.
  387. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  388. am__set_TESTS_bases = \
  389. bases='$(TEST_LOGS)'; \
  390. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  391. bases=`echo $$bases`
  392. RECHECK_LOGS = $(TEST_LOGS)
  393. AM_RECURSIVE_TARGETS = check recheck
  394. TEST_SUITE_LOG = test-suite.log
  395. TEST_EXTENSIONS = .test
  396. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  397. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  398. am__set_b = \
  399. case '$@' in \
  400. */*) \
  401. case '$*' in \
  402. */*) b='$*';; \
  403. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  404. esac;; \
  405. *) \
  406. b='$*';; \
  407. esac
  408. am__test_logs1 = $(TESTS:=.log)
  409. am__test_logs2 = $(am__test_logs1:.log=.log)
  410. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  411. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  412. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  413. $(TEST_LOG_FLAGS)
  414. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/unit-test.h.in \
  415. $(top_srcdir)/build-aux/depcomp \
  416. $(top_srcdir)/build-aux/test-driver
  417. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  418. ACLOCAL = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/missing aclocal-1.16
  419. AMTAR = $${TAR-tar}
  420. AM_DEFAULT_VERBOSITY = 0
  421. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  422. AS = as
  423. AUTOCONF = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/missing autoconf
  424. AUTOHEADER = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/missing autoheader
  425. AUTOMAKE = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/missing automake-1.16
  426. AWK = gawk
  427. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  428. CCDEPMODE = depmode=gcc3
  429. CFLAGS = -g -O2
  430. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  431. CPPFLAGS =
  432. CXX = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++
  433. CXXCPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++ -E
  434. CXXDEPMODE = depmode=gcc3
  435. CXXFLAGS = -g -O2
  436. CYGPATH_W = echo
  437. DEFS = -DHAVE_CONFIG_H
  438. DEPDIR = .deps
  439. DLLTOOL = false
  440. DSYMUTIL =
  441. DUMPBIN = :
  442. ECHO_C =
  443. ECHO_N = -n
  444. ECHO_T =
  445. EGREP = /bin/grep -E
  446. EXEEXT =
  447. FGREP = /bin/grep -F
  448. GREP = /bin/grep
  449. INSTALL = /usr/bin/install -c
  450. INSTALL_DATA = ${INSTALL} -m 644
  451. INSTALL_PROGRAM = ${INSTALL}
  452. INSTALL_SCRIPT = ${INSTALL}
  453. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  454. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  455. LDFLAGS =
  456. LIBMODBUS_LT_VERSION_INFO = 6:0:1
  457. LIBMODBUS_VERSION = 3.1.6
  458. LIBMODBUS_VERSION_MAJOR = 3
  459. LIBMODBUS_VERSION_MICRO = 6
  460. LIBMODBUS_VERSION_MINOR = 1
  461. LIBOBJS =
  462. LIBS =
  463. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  464. LIPO =
  465. LN_S = ln -s
  466. LTLIBOBJS =
  467. LT_SYS_LIBRARY_PATH =
  468. MAKEINFO = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/missing makeinfo
  469. MANIFEST_TOOL = :
  470. MKDIR_P = /bin/mkdir -p
  471. NM = nm
  472. NMEDIT =
  473. OBJDUMP = objdump
  474. OBJEXT = o
  475. OTOOL =
  476. OTOOL64 =
  477. PACKAGE = libmodbus
  478. PACKAGE_BUGREPORT = https://github.com/stephane/libmodbus/issues
  479. PACKAGE_NAME = libmodbus
  480. PACKAGE_STRING = libmodbus 3.1.6
  481. PACKAGE_TARNAME = libmodbus
  482. PACKAGE_URL = http://libmodbus.org/
  483. PACKAGE_VERSION = 3.1.6
  484. PATH_SEPARATOR = :
  485. RANLIB = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib
  486. SED = /bin/sed
  487. SET_MAKE =
  488. SHELL = /bin/bash
  489. STRIP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip
  490. VERSION = 3.1.6
  491. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/tests
  492. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/tests
  493. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6
  494. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6
  495. ac_ct_AR =
  496. ac_ct_CC =
  497. ac_ct_CXX =
  498. ac_ct_DUMPBIN = link -dump
  499. ac_libmodbus_have_asciidoc = no
  500. ac_libmodbus_have_xmlto = no
  501. am__include = include
  502. am__leading_dot = .
  503. am__quote =
  504. am__tar = tar --format=posix -chf - "$$tardir"
  505. am__untar = tar -xf -
  506. bindir = ${exec_prefix}/bin
  507. build = x86_64-pc-linux-gnu
  508. build_alias =
  509. build_cpu = x86_64
  510. build_os = linux-gnu
  511. build_vendor = pc
  512. builddir = .
  513. datadir = ${datarootdir}
  514. datarootdir = ${prefix}/share
  515. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  516. dvidir = ${docdir}
  517. exec_prefix = ${prefix}
  518. host = arm-unknown-linux-gnueabihf
  519. host_alias = arm-linux-gnueabihf
  520. host_cpu = arm
  521. host_os = linux-gnueabihf
  522. host_vendor = unknown
  523. htmldir = ${docdir}
  524. includedir = ${prefix}/include
  525. infodir = ${datarootdir}/info
  526. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/build-aux/install-sh
  527. libdir = ${exec_prefix}/lib
  528. libexecdir = ${exec_prefix}/libexec
  529. localedir = ${datarootdir}/locale
  530. localstatedir = ${prefix}/var
  531. mandir = ${datarootdir}/man
  532. mkdir_p = $(MKDIR_P)
  533. my_CFLAGS = -Wall -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wpointer-arith -Wsign-compare -Wchar-subscripts -Wstrict-prototypes -Wshadow -Wformat-security
  534. oldincludedir = /usr/include
  535. pdfdir = ${docdir}
  536. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/libmodbus-3.1.6/release
  537. program_transform_name = s,x,x,
  538. psdir = ${docdir}
  539. sbindir = ${exec_prefix}/sbin
  540. sharedstatedir = ${prefix}/com
  541. srcdir = .
  542. sysconfdir = ${prefix}/etc
  543. target_alias =
  544. top_build_prefix = ../
  545. top_builddir = ..
  546. top_srcdir = ..
  547. EXTRA_DIST = README.md unit-tests.sh
  548. common_ldflags = \
  549. $(top_builddir)/src/libmodbus.la
  550. bandwidth_server_one_SOURCES = bandwidth-server-one.c
  551. bandwidth_server_one_LDADD = $(common_ldflags)
  552. bandwidth_server_many_up_SOURCES = bandwidth-server-many-up.c
  553. bandwidth_server_many_up_LDADD = $(common_ldflags)
  554. bandwidth_client_SOURCES = bandwidth-client.c
  555. bandwidth_client_LDADD = $(common_ldflags)
  556. random_test_server_SOURCES = random-test-server.c
  557. random_test_server_LDADD = $(common_ldflags)
  558. random_test_client_SOURCES = random-test-client.c
  559. random_test_client_LDADD = $(common_ldflags)
  560. unit_test_server_SOURCES = unit-test-server.c unit-test.h
  561. unit_test_server_LDADD = $(common_ldflags)
  562. unit_test_client_SOURCES = unit-test-client.c unit-test.h
  563. unit_test_client_LDADD = $(common_ldflags)
  564. version_SOURCES = version.c
  565. version_LDADD = $(common_ldflags)
  566. AM_CPPFLAGS = \
  567. -include $(top_builddir)/config.h \
  568. -DSYSCONFDIR=\""$(sysconfdir)"\" \
  569. -DLIBEXECDIR=\""$(libexecdir)"\" \
  570. -I${top_srcdir}/src \
  571. -I${top_builddir}/src
  572. AM_CFLAGS = ${my_CFLAGS}
  573. CLEANFILES = *~ *.log
  574. noinst_SCRIPTS = unit-tests.sh
  575. TESTS = ./unit-tests.sh
  576. all: unit-test.h
  577. $(MAKE) $(AM_MAKEFLAGS) all-am
  578. .SUFFIXES:
  579. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  580. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  581. @for dep in $?; do \
  582. case '$(am__configure_deps)' in \
  583. *$$dep*) \
  584. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  585. && { if test -f $@; then exit 0; else break; fi; }; \
  586. exit 1;; \
  587. esac; \
  588. done; \
  589. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
  590. $(am__cd) $(top_srcdir) && \
  591. $(AUTOMAKE) --foreign tests/Makefile
  592. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  593. @case '$?' in \
  594. *config.status*) \
  595. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  596. *) \
  597. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  598. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  599. esac;
  600. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  601. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  602. $(top_srcdir)/configure: $(am__configure_deps)
  603. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  604. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  605. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  606. $(am__aclocal_m4_deps):
  607. unit-test.h: stamp-h2
  608. @test -f $@ || rm -f stamp-h2
  609. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h2
  610. stamp-h2: $(srcdir)/unit-test.h.in $(top_builddir)/config.status
  611. @rm -f stamp-h2
  612. cd $(top_builddir) && $(SHELL) ./config.status tests/unit-test.h
  613. distclean-hdr:
  614. -rm -f unit-test.h stamp-h2
  615. clean-noinstPROGRAMS:
  616. @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
  617. echo " rm -f" $$list; \
  618. rm -f $$list || exit $$?; \
  619. test -n "$(EXEEXT)" || exit 0; \
  620. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  621. echo " rm -f" $$list; \
  622. rm -f $$list
  623. bandwidth-client$(EXEEXT): $(bandwidth_client_OBJECTS) $(bandwidth_client_DEPENDENCIES) $(EXTRA_bandwidth_client_DEPENDENCIES)
  624. @rm -f bandwidth-client$(EXEEXT)
  625. $(AM_V_CCLD)$(LINK) $(bandwidth_client_OBJECTS) $(bandwidth_client_LDADD) $(LIBS)
  626. bandwidth-server-many-up$(EXEEXT): $(bandwidth_server_many_up_OBJECTS) $(bandwidth_server_many_up_DEPENDENCIES) $(EXTRA_bandwidth_server_many_up_DEPENDENCIES)
  627. @rm -f bandwidth-server-many-up$(EXEEXT)
  628. $(AM_V_CCLD)$(LINK) $(bandwidth_server_many_up_OBJECTS) $(bandwidth_server_many_up_LDADD) $(LIBS)
  629. bandwidth-server-one$(EXEEXT): $(bandwidth_server_one_OBJECTS) $(bandwidth_server_one_DEPENDENCIES) $(EXTRA_bandwidth_server_one_DEPENDENCIES)
  630. @rm -f bandwidth-server-one$(EXEEXT)
  631. $(AM_V_CCLD)$(LINK) $(bandwidth_server_one_OBJECTS) $(bandwidth_server_one_LDADD) $(LIBS)
  632. random-test-client$(EXEEXT): $(random_test_client_OBJECTS) $(random_test_client_DEPENDENCIES) $(EXTRA_random_test_client_DEPENDENCIES)
  633. @rm -f random-test-client$(EXEEXT)
  634. $(AM_V_CCLD)$(LINK) $(random_test_client_OBJECTS) $(random_test_client_LDADD) $(LIBS)
  635. random-test-server$(EXEEXT): $(random_test_server_OBJECTS) $(random_test_server_DEPENDENCIES) $(EXTRA_random_test_server_DEPENDENCIES)
  636. @rm -f random-test-server$(EXEEXT)
  637. $(AM_V_CCLD)$(LINK) $(random_test_server_OBJECTS) $(random_test_server_LDADD) $(LIBS)
  638. unit-test-client$(EXEEXT): $(unit_test_client_OBJECTS) $(unit_test_client_DEPENDENCIES) $(EXTRA_unit_test_client_DEPENDENCIES)
  639. @rm -f unit-test-client$(EXEEXT)
  640. $(AM_V_CCLD)$(LINK) $(unit_test_client_OBJECTS) $(unit_test_client_LDADD) $(LIBS)
  641. unit-test-server$(EXEEXT): $(unit_test_server_OBJECTS) $(unit_test_server_DEPENDENCIES) $(EXTRA_unit_test_server_DEPENDENCIES)
  642. @rm -f unit-test-server$(EXEEXT)
  643. $(AM_V_CCLD)$(LINK) $(unit_test_server_OBJECTS) $(unit_test_server_LDADD) $(LIBS)
  644. version$(EXEEXT): $(version_OBJECTS) $(version_DEPENDENCIES) $(EXTRA_version_DEPENDENCIES)
  645. @rm -f version$(EXEEXT)
  646. $(AM_V_CCLD)$(LINK) $(version_OBJECTS) $(version_LDADD) $(LIBS)
  647. mostlyclean-compile:
  648. -rm -f *.$(OBJEXT)
  649. distclean-compile:
  650. -rm -f *.tab.c
  651. include ./$(DEPDIR)/bandwidth-client.Po # am--include-marker
  652. include ./$(DEPDIR)/bandwidth-server-many-up.Po # am--include-marker
  653. include ./$(DEPDIR)/bandwidth-server-one.Po # am--include-marker
  654. include ./$(DEPDIR)/random-test-client.Po # am--include-marker
  655. include ./$(DEPDIR)/random-test-server.Po # am--include-marker
  656. include ./$(DEPDIR)/unit-test-client.Po # am--include-marker
  657. include ./$(DEPDIR)/unit-test-server.Po # am--include-marker
  658. include ./$(DEPDIR)/version.Po # am--include-marker
  659. $(am__depfiles_remade):
  660. @$(MKDIR_P) $(@D)
  661. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  662. am--depfiles: $(am__depfiles_remade)
  663. .c.o:
  664. $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  665. $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  666. $(am__mv) $$depbase.Tpo $$depbase.Po
  667. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  668. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  669. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  670. .c.obj:
  671. $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  672. $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  673. $(am__mv) $$depbase.Tpo $$depbase.Po
  674. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  675. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  676. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  677. .c.lo:
  678. $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  679. $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  680. $(am__mv) $$depbase.Tpo $$depbase.Plo
  681. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  682. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  683. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  684. mostlyclean-libtool:
  685. -rm -f *.lo
  686. clean-libtool:
  687. -rm -rf .libs _libs
  688. ID: $(am__tagged_files)
  689. $(am__define_uniq_tagged_files); mkid -fID $$unique
  690. tags: tags-am
  691. TAGS: tags
  692. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  693. set x; \
  694. here=`pwd`; \
  695. $(am__define_uniq_tagged_files); \
  696. shift; \
  697. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  698. test -n "$$unique" || unique=$$empty_fix; \
  699. if test $$# -gt 0; then \
  700. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  701. "$$@" $$unique; \
  702. else \
  703. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  704. $$unique; \
  705. fi; \
  706. fi
  707. ctags: ctags-am
  708. CTAGS: ctags
  709. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  710. $(am__define_uniq_tagged_files); \
  711. test -z "$(CTAGS_ARGS)$$unique" \
  712. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  713. $$unique
  714. GTAGS:
  715. here=`$(am__cd) $(top_builddir) && pwd` \
  716. && $(am__cd) $(top_srcdir) \
  717. && gtags -i $(GTAGS_ARGS) "$$here"
  718. cscopelist: cscopelist-am
  719. cscopelist-am: $(am__tagged_files)
  720. list='$(am__tagged_files)'; \
  721. case "$(srcdir)" in \
  722. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  723. *) sdir=$(subdir)/$(srcdir) ;; \
  724. esac; \
  725. for i in $$list; do \
  726. if test -f "$$i"; then \
  727. echo "$(subdir)/$$i"; \
  728. else \
  729. echo "$$sdir/$$i"; \
  730. fi; \
  731. done >> $(top_builddir)/cscope.files
  732. distclean-tags:
  733. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  734. # Recover from deleted '.trs' file; this should ensure that
  735. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  736. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  737. # to avoid problems with "make -n".
  738. .log.trs:
  739. rm -f $< $@
  740. $(MAKE) $(AM_MAKEFLAGS) $<
  741. # Leading 'am--fnord' is there to ensure the list of targets does not
  742. # expand to empty, as could happen e.g. with make check TESTS=''.
  743. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  744. am--force-recheck:
  745. @:
  746. $(TEST_SUITE_LOG): $(TEST_LOGS)
  747. @$(am__set_TESTS_bases); \
  748. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  749. redo_bases=`for i in $$bases; do \
  750. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  751. done`; \
  752. if test -n "$$redo_bases"; then \
  753. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  754. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  755. if $(am__make_dryrun); then :; else \
  756. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  757. fi; \
  758. fi; \
  759. if test -n "$$am__remaking_logs"; then \
  760. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  761. "recursion detected" >&2; \
  762. elif test -n "$$redo_logs"; then \
  763. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  764. fi; \
  765. if $(am__make_dryrun); then :; else \
  766. st=0; \
  767. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  768. for i in $$redo_bases; do \
  769. test -f $$i.trs && test -r $$i.trs \
  770. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  771. test -f $$i.log && test -r $$i.log \
  772. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  773. done; \
  774. test $$st -eq 0 || exit 1; \
  775. fi
  776. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  777. ws='[ ]'; \
  778. results=`for b in $$bases; do echo $$b.trs; done`; \
  779. test -n "$$results" || results=/dev/null; \
  780. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  781. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  782. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  783. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  784. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  785. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  786. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  787. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  788. success=true; \
  789. else \
  790. success=false; \
  791. fi; \
  792. br='==================='; br=$$br$$br$$br$$br; \
  793. result_count () \
  794. { \
  795. if test x"$$1" = x"--maybe-color"; then \
  796. maybe_colorize=yes; \
  797. elif test x"$$1" = x"--no-color"; then \
  798. maybe_colorize=no; \
  799. else \
  800. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  801. fi; \
  802. shift; \
  803. desc=$$1 count=$$2; \
  804. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  805. color_start=$$3 color_end=$$std; \
  806. else \
  807. color_start= color_end=; \
  808. fi; \
  809. echo "$${color_start}# $$desc $$count$${color_end}"; \
  810. }; \
  811. create_testsuite_report () \
  812. { \
  813. result_count $$1 "TOTAL:" $$all "$$brg"; \
  814. result_count $$1 "PASS: " $$pass "$$grn"; \
  815. result_count $$1 "SKIP: " $$skip "$$blu"; \
  816. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  817. result_count $$1 "FAIL: " $$fail "$$red"; \
  818. result_count $$1 "XPASS:" $$xpass "$$red"; \
  819. result_count $$1 "ERROR:" $$error "$$mgn"; \
  820. }; \
  821. { \
  822. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  823. $(am__rst_title); \
  824. create_testsuite_report --no-color; \
  825. echo; \
  826. echo ".. contents:: :depth: 2"; \
  827. echo; \
  828. for b in $$bases; do echo $$b; done \
  829. | $(am__create_global_log); \
  830. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  831. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  832. if $$success; then \
  833. col="$$grn"; \
  834. else \
  835. col="$$red"; \
  836. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  837. fi; \
  838. echo "$${col}$$br$${std}"; \
  839. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  840. echo "$${col}$$br$${std}"; \
  841. create_testsuite_report --maybe-color; \
  842. echo "$$col$$br$$std"; \
  843. if $$success; then :; else \
  844. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  845. if test -n "$(PACKAGE_BUGREPORT)"; then \
  846. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  847. fi; \
  848. echo "$$col$$br$$std"; \
  849. fi; \
  850. $$success || exit 1
  851. check-TESTS:
  852. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  853. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  854. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  855. @set +e; $(am__set_TESTS_bases); \
  856. log_list=`for i in $$bases; do echo $$i.log; done`; \
  857. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  858. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  859. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  860. exit $$?;
  861. recheck: all
  862. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  863. @set +e; $(am__set_TESTS_bases); \
  864. bases=`for i in $$bases; do echo $$i; done \
  865. | $(am__list_recheck_tests)` || exit 1; \
  866. log_list=`for i in $$bases; do echo $$i.log; done`; \
  867. log_list=`echo $$log_list`; \
  868. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  869. am__force_recheck=am--force-recheck \
  870. TEST_LOGS="$$log_list"; \
  871. exit $$?
  872. ./unit-tests.sh.log: ./unit-tests.sh
  873. @p='./unit-tests.sh'; \
  874. b='./unit-tests.sh'; \
  875. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  876. --log-file $$b.log --trs-file $$b.trs \
  877. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  878. "$$tst" $(AM_TESTS_FD_REDIRECT)
  879. .test.log:
  880. @p='$<'; \
  881. $(am__set_b); \
  882. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  883. --log-file $$b.log --trs-file $$b.trs \
  884. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  885. "$$tst" $(AM_TESTS_FD_REDIRECT)
  886. #.test$(EXEEXT).log:
  887. # @p='$<'; \
  888. # $(am__set_b); \
  889. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  890. # --log-file $$b.log --trs-file $$b.trs \
  891. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  892. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  893. distdir: $(BUILT_SOURCES)
  894. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  895. distdir-am: $(DISTFILES)
  896. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  897. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  898. list='$(DISTFILES)'; \
  899. dist_files=`for file in $$list; do echo $$file; done | \
  900. sed -e "s|^$$srcdirstrip/||;t" \
  901. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  902. case $$dist_files in \
  903. */*) $(MKDIR_P) `echo "$$dist_files" | \
  904. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  905. sort -u` ;; \
  906. esac; \
  907. for file in $$dist_files; do \
  908. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  909. if test -d $$d/$$file; then \
  910. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  911. if test -d "$(distdir)/$$file"; then \
  912. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  913. fi; \
  914. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  915. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  916. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  917. fi; \
  918. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  919. else \
  920. test -f "$(distdir)/$$file" \
  921. || cp -p $$d/$$file "$(distdir)/$$file" \
  922. || exit 1; \
  923. fi; \
  924. done
  925. check-am: all-am
  926. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  927. check: check-am
  928. all-am: Makefile $(PROGRAMS) $(SCRIPTS) unit-test.h
  929. installdirs:
  930. install: install-am
  931. install-exec: install-exec-am
  932. install-data: install-data-am
  933. uninstall: uninstall-am
  934. install-am: all-am
  935. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  936. installcheck: installcheck-am
  937. install-strip:
  938. if test -z '$(STRIP)'; then \
  939. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  940. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  941. install; \
  942. else \
  943. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  944. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  945. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  946. fi
  947. mostlyclean-generic:
  948. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  949. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  950. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  951. clean-generic:
  952. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  953. distclean-generic:
  954. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  955. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  956. maintainer-clean-generic:
  957. @echo "This command is intended for maintainers to use"
  958. @echo "it deletes files that may require special tools to rebuild."
  959. clean: clean-am
  960. clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
  961. mostlyclean-am
  962. distclean: distclean-am
  963. -rm -f ./$(DEPDIR)/bandwidth-client.Po
  964. -rm -f ./$(DEPDIR)/bandwidth-server-many-up.Po
  965. -rm -f ./$(DEPDIR)/bandwidth-server-one.Po
  966. -rm -f ./$(DEPDIR)/random-test-client.Po
  967. -rm -f ./$(DEPDIR)/random-test-server.Po
  968. -rm -f ./$(DEPDIR)/unit-test-client.Po
  969. -rm -f ./$(DEPDIR)/unit-test-server.Po
  970. -rm -f ./$(DEPDIR)/version.Po
  971. -rm -f Makefile
  972. distclean-am: clean-am distclean-compile distclean-generic \
  973. distclean-hdr distclean-tags
  974. dvi: dvi-am
  975. dvi-am:
  976. html: html-am
  977. html-am:
  978. info: info-am
  979. info-am:
  980. install-data-am:
  981. install-dvi: install-dvi-am
  982. install-dvi-am:
  983. install-exec-am:
  984. install-html: install-html-am
  985. install-html-am:
  986. install-info: install-info-am
  987. install-info-am:
  988. install-man:
  989. install-pdf: install-pdf-am
  990. install-pdf-am:
  991. install-ps: install-ps-am
  992. install-ps-am:
  993. installcheck-am:
  994. maintainer-clean: maintainer-clean-am
  995. -rm -f ./$(DEPDIR)/bandwidth-client.Po
  996. -rm -f ./$(DEPDIR)/bandwidth-server-many-up.Po
  997. -rm -f ./$(DEPDIR)/bandwidth-server-one.Po
  998. -rm -f ./$(DEPDIR)/random-test-client.Po
  999. -rm -f ./$(DEPDIR)/random-test-server.Po
  1000. -rm -f ./$(DEPDIR)/unit-test-client.Po
  1001. -rm -f ./$(DEPDIR)/unit-test-server.Po
  1002. -rm -f ./$(DEPDIR)/version.Po
  1003. -rm -f Makefile
  1004. maintainer-clean-am: distclean-am maintainer-clean-generic
  1005. mostlyclean: mostlyclean-am
  1006. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1007. mostlyclean-libtool
  1008. pdf: pdf-am
  1009. pdf-am:
  1010. ps: ps-am
  1011. ps-am:
  1012. uninstall-am:
  1013. .MAKE: all check-am install-am install-strip
  1014. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1015. check-am clean clean-generic clean-libtool \
  1016. clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
  1017. distclean-compile distclean-generic distclean-hdr \
  1018. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1019. html-am info info-am install install-am install-data \
  1020. install-data-am install-dvi install-dvi-am install-exec \
  1021. install-exec-am install-html install-html-am install-info \
  1022. install-info-am install-man install-pdf install-pdf-am \
  1023. install-ps install-ps-am install-strip installcheck \
  1024. installcheck-am installdirs maintainer-clean \
  1025. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1026. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1027. recheck tags tags-am uninstall uninstall-am
  1028. .PRECIOUS: Makefile
  1029. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1030. # Otherwise a system limit (for SysV at least) may be exceeded.
  1031. .NOEXPORT: